%define DATE 19991110
%define version 1.1.2
%define kderelease 18mdk
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define compiler gcc
%define qtver  qt >= 1.44

#---------------------------------------------------------------
# set KDE paths to FHS-2.0-compliant locations (Red Hat style)
# (the $INSTALL_ROOT thing is needed only for kdelibs)
 
%define kde_prefix  ${INSTALL_ROOT}/usr
%define kde_share   ${INSTALL_ROOT}/usr/share
%define kde_doc     ${INSTALL_ROOT}/usr/doc/kde
%define kde_config  ${INSTALL_ROOT}/usr/share/config
%define kde_include ${INSTALL_ROOT}/usr/include/kde
%define kde_path_defs kde_htmldir=%{kde_doc}/HTML kde_icondir=%{kde_share}/icons kde_minidir=%{kde_share}/icons/mini kde_appsdir=%{kde_share}/applnk kde_sounddir=%{kde_share}/sounds kde_datadir=%{kde_share}/apps kde_locale=%{kde_share}/locale kde_cgidir=%{kde_prefix}/lib/cgi-bin kde_confdir=%{kde_config} kde_mimedir=%{kde_share}/mimelnk kde_toolbardir=%{kde_share}/toolbar kde_wallpaperdir=%{kde_share}/wallpapers kde_bindir=%{kde_prefix}/bin kde_partsdir=%{kde_prefix}/lib/parts
#-----------------------------------------------------------------------

%define kdename kdelibs
Name: %{kdename}
Summary: K Desktop Environment - Libraries
Version: %{version}
Release: %{kderelease}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-1.1.2.tar.bz2
Source1: kdoc-991110.tar.bz2
Patch: %{kdename}-991110.patch.bz2
Group: System/Libraries
Copyright: LGPL
BuildRoot: /var/tmp/%{kdename}-build-root
Requires: %{qtver} kdesupport
BuildRequires: libtool >= 1.3.3
Prefix: /usr
%ifarch  alpha
BuildRequires: egcs
%endif


%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image
manipulation), mediatool (sound, mixing and animation).

%package devel
Group: Development/KDE and QT
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel
 
%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -a 1
%patch -p1

%build
libtoolize --force

%ifarch alpha
C="gcc -V`egcs-version`"
CP="g++ -V`egcs-version`"
%else
C="gcc"
CP="g++"
%endif

export KDEDIR=/usr INSTALL_ROOT=
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"  %{kde_path_defs} \
CC="$C" CXX="$CP" \
   ./configure \
      --prefix=/usr \
      --with-install-root=$RPM_BUILD_ROOT \
      --disable-path-check \
      --includedir=/usr/include/kde \
      --enable-new-stuff

make KDEDIR=/usr CFLAGS="$RPM_OPT_FLAGS -frtti -fexceptions" CXXFLAGS="$RPM_OPT_FLAGS -frtti -fexceptions -DNO_DEBUG" CC="$C" CXX="$CP"

for i in jscript kab kdecore kdeui kfile khtmlw kimgio kspell mediatool; do
  (cd $i; ar r lib$i.a *.lo)
done

cd kdoc
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" CC=%{compiler} %{kde_path_defs} \
   ./configure --prefix=/usr --exec-prefix=/usr
make

# generate documentation
chmod +x kdoc && perl -pi -e \
	 "s|/usr/local/bin|/usr/bin|g" kdoc
 
PERL5LIB=$PWD PATH=$PWD:$PATH perl qt2kdoc \
        -u $PWD/../qt-1.44  \
        -o $PWD/.. \
        -z /usr/lib/qt/html
PERL5LIB=$PWD PATH=$PWD:$PATH perl makekdedoc \
        --outputdir=$PWD/../srcdoc \
        --srcdir=$PWD/.. \
        -L $PWD/..
 
%install
export KDEDIR=/usr INSTALL_ROOT=$RPM_BUILD_ROOT
make %{kde_path_defs} includedir=$RPM_BUILD_ROOT/usr/include/kde \
   prefix=$RPM_BUILD_ROOT/usr install-strip 
chmod a+x $RPM_BUILD_ROOT/usr/lib/*

install -m 644 */*.a $RPM_BUILD_ROOT/usr/lib

cd kdoc
make install prefix=$RPM_BUILD_ROOT/usr \
        exec_prefix=$RPM_BUILD_ROOT/usr
 
perl -pi -e "s|/var/tmp/kdelibs-buildroot|/|" $RPM_BUILD_ROOT/usr/bin/kdoc

 
%clean
rm -rf $RPM_BUILD_ROOT

%post 
grep -q /opt/kde/lib /etc/ld.so.conf && {
grep -v /opt/kde/lib /etc/ld.so.conf > /tmp/ld.so.conf && \
mv /tmp/ld.so.conf /etc/ld.so.conf
}
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,755)
/usr/lib/*.so.*
/usr/lib/*.la
%dir /usr/share/config
/usr/share/config/*
%dir /usr/share/apps
/usr/share/apps/*
# (fg) Huh? What are they used for?
%dir /usr/share/locale/*
/usr/share/locale/*/charset
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*
%dir /usr/share/toolbar
/usr/share/toolbar/*
%dir /usr/doc/kde/HTML
/usr/doc/kde/HTML/*


%files devel
%defattr(-,root,root,755)
/usr/include/kde
/usr/lib/*.a
/usr/lib/*.so
/usr/share/kdoc
/usr/bin/*
/usr/man/man1/*
%doc *kdoc.gz
%doc srcdoc/*

%changelog

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-18mdk

- Remove %config tag for /usr/share/config in kdelibs

* Fri Mar 24 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-17mdk

- Don't use prefix
- Don't use autogenerated file list (missed the manpages because of that)
- Changed groups

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-15mdk

- Compile with egcs.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- add libtoolize --force
- `.' must be in the PATH if kdelibs-devel is not installed, but it must be in
the beginning of the PATH if an old kdelibs-devel is installed

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- make kdelibs-devel contains .a files
- fixed 2 grep regexps

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 's|PERLLIB|PERL5LIB|'
- Fix build as user.

* Wed Nov 10 1999 John Corey <jcorey@mandrakesoft.com>
- Updated for FHS-2.0 compliace.
- Merge in fixes with latest CVS.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing the -pre.

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reprefixing to -pre1.

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Thu Aug 19 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- Updates from 1.1.2 CVS.

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build with ktmainwindow.moc for backward compatibility between kdelibs
  (thanks to David !!!).

* Fri Aug  6 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- fix building with {p,}gcc 2.95

* Thu Jul 15 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.1.2 CVS snapshot

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post script for upgrade from 5.3 to 6.0.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for the new environnment.

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bug dependences (pre1 is more recent from 1.1) fixed.

* Wed May 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.1.1.

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- 1.1.1pre1

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
